require 'uu/os/rest/dto'
require 'uu/os/uesuri'

# Module Unicorn Universe.
module UU
  # Module Operating System.
  module OS
    # Module Meta Permission.
    module MetaPermission
      # DTO containing attributes of the system group.
      class MetaPermissionGetSystemGroupAttributes < UU::OS::REST::DTO

        # UESURI of the entity for which the System Group was listed.
        attr_accessor :uri

        # Name of the System Group.
        attr_accessor :authority_name

        # UESURI of the System Group.
        attr_accessor :authority_uri

        # Description of the System Group.
        attr_accessor :authority_description
        def uri
          attributes[:uri]
        end

        def uri=(val)
          if val
            attributes[:uri] = UU::OS::UESURI.new(val)
          else
            attributes[:uri] = nil
          end
        end

        def authority_name
          attributes[:authorityName]
        end

        def authority_name=(val)
          attributes[:authorityName] = val
        end

        def authority_uri
          attributes[:authorityUri]
        end

        def authority_uri=(val)
          if val
            attributes[:authorityUri] = UU::OS::UESURI.new(val)
          else
            attributes[:authorityUri] = nil
          end
        end

        def authority_description
          attributes[:authorityDescription]
        end

        def authority_description=(val)
          attributes[:authorityDescription] = val
        end

      end
    end

  end
end
