require 'uu/os/rest/dto'
require 'uu/os/uesuri'

# Module Unicorn Universe.
module UU
  # Module Operating System.
  module OS
    # Module Meta Permission.
    module MetaPermission
      # @see MetaPermission#grant
      class MetaPermissionGrant < UU::OS::REST::DTO

        # @see MetaPermission#grant
        attr_accessor :authority_uri

        # @see MetaPermission#grant
        attr_accessor :data
        def data
          attributes[:data]
        end

        def data=(val)
          if val
            attributes[:data] = UU::OS::REST::BinaryValue.new(val)
          else
            attributes[:data] = nil
          end
        end

        def authority_uri
          attributes[:authorityUri]
        end

        def authority_uri=(val)
          if val
            attributes[:authorityUri] = UU::OS::UESURI.new(val)
          else
            attributes[:authorityUri] = nil
          end
        end

      end
    end

  end
end

